"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorList = void 0;
const path_1 = __importDefault(require("path"));
const _config_1 = require("./_config");
exports.ErrorList = {
    UNEXPECTED_ERROR: (err) => "Une erreur inattendue s'est produite : \n" + err,
    CONFIG_DIR_MISS: `Le dossier de configuration ${_config_1.nameConfigDir} n'as pas été trouvé ! \n Il doit être placé à la racine de votre projet`,
    CONFIG_FIlE_MISS: (templatePath) => `Vous devez ajouter un fichier de configuration "${_config_1.nameConfigFile}" au template ${templatePath}`,
    TEMPLATE_NOT_EXIST: (tempName) => `Vous n'avez pas de template nommé "${tempName}"`,
    COMPONENT_WRK_DIR_NOT_EXISTE: (compPath) => `L'emplacement "${compPath}" n'existe pas. \n Vous devez fournir un répertoire valide pour la création de votre composant`,
    ROOT_WRK_DIR_NOT_EXISTE: (rootPath) => `Le répertoire de travail racine "${rootPath}" n'existe pas dans votre projet ${path_1.default.resolve()}. \n Vous devez fournir un répertoire racine valide`,
    SUBDOMAIN_PATH_NOT_EXISTE: (subName, rootPath) => `Le sous-répertoire "${subName}" n'existe pas dans "${rootPath}". \n Vous devez fournir un nom de sous-domaine valide`,
    EXTENTION_WRK_DIR_NOT_EXISTE: (extPath, subPath) => `L'extention "${extPath}" n'existe pas dans le sous-domaine "${subPath}". \n Vous devez fournir une extention valide pour la création de votre composant`,
    // REPLACEMENT_FORMATAGE_NOT_EXIST : "",
    CONFIG_FILE_INVALID: (pty, type) => `Le fichier de configuration doit contenir la pté "${pty}" de type ${type}`,
    COMPONENT_ALREADY_EXIST: (dirName, wrkPath) => `Impossible de créer le composant "${dirName}" à l'emplacement "${wrkPath}" car un composant du même nom existe déjà à cet emplacement`
};
//# sourceMappingURL=ErrorList.js.map