import { ITemplateReader } from "./_definitions/ITemplateReader";
import { IComponentFileInfo, ITemplateExtractor } from "./_definitions/ITemplateExtractor";
import { ITemplateConfigFile } from "./_definitions/ITemplateConfigFile";
declare type compWrkDir = ITemplateConfigFile['componentWorkDir'];
export declare class TemplateExtractor implements ITemplateExtractor {
    templateReader: ITemplateReader;
    replaceVal: string;
    subdomain?: string | undefined;
    constructor(templateReader: ITemplateReader, replaceVal: string, subdomain?: string | undefined);
    getComponentDirName(): string;
    getComponentFiles(): Promise<IComponentFileInfo[] | Error>;
    getComponentWrkDirPath(componentWrkDir: compWrkDir): string | Error;
}
export {};
